Bug 472447 - Banshee will not load
Banshee will not load
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 16:30 EST by Stof
Modified: 2009-01-01 18:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-01 18:30:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stof 2008-11-20 16:30:44 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; nl; rv:1.8.1.18) Gecko/20081112 Fedora/2.0.0.18-1.fc8 Firefox/2.0.0.18

When trying to start Banshee, the splash screen hangs with a message indicating that the system is loading the user interface.

If you try to run it from a terminal, the output is as follows:

Warning: [20-11-2008 22:23:14] (Kan geen vervinding maken met NetworkManager) - Er wordt uitgegaan van een werkende netwerkverbinding
Debug: [20-11-2008 22:23:14] (Loading audio profiles) - /usr/share/banshee/audio-profiles
Performing compatibility update on playlist 'Nieuwe afspeellijst 1'
Debug: [20-11-2008 22:23:15] (Standaard speler-motor) - GStreamer 0.10
Debug: [20-11-2008 22:23:15] (Audio-cd kern geïnitialiseerd) - 
Debug: [20-11-2008 22:23:15] (Testing device for DAP support) - /org/freedesktop/Hal/devices/volume_uuid_961a16be_fc17_4922_b2d6_0022848b4f51
Debug: [20-11-2008 22:23:15] (DAP has not been added) - /org/freedesktop/Hal/devices/volume_uuid_961a16be_fc17_4922_b2d6_0022848b4f51
Debug: [20-11-2008 22:23:15] (Testing device for DAP support) - /org/freedesktop/Hal/devices/volume_uuid_c67cd49a_cef1_46b5_bd7b_96f841c8a1af
Debug: [20-11-2008 22:23:15] (DAP has not been added) - /org/freedesktop/Hal/devices/volume_uuid_c67cd49a_cef1_46b5_bd7b_96f841c8a1af
Warning: [20-11-2008 22:23:15] (Power Management Call Failed) - Cannot find GNOME Power Manager: Name org.gnome.PowerManager has no owner
Debug: [20-11-2008 22:23:15] (Enabled multimedia keys support) - Using org.gnome.SettingsDaemon
Building initial DAAP database from local library...
Starting DAAP Server

and then the following message is repeated until you kill banshee.

(Banshee:3703): Gtk-WARNING **: A floating object was finalized. This means that someone
called g_object_unref() on an object that had only a floating
reference; the initial floating reference is not owned by anyone
and must be removed with g_object_ref_sink().


Reproducible: Always

Steps to Reproduce:
1. Start Banshee
2. Enjoy the std output
3. hit <CTTL> + C to stop the scrolling.
Actual Results:  

Warning: [20-11-2008 22:23:14] (Kan geen vervinding maken met NetworkManager) - Er wordt uitgegaan van een werkende netwerkverbinding
Debug: [20-11-2008 22:23:14] (Loading audio profiles) - /usr/share/banshee/audio-profiles
Performing compatibility update on playlist 'Nieuwe afspeellijst 1'
Debug: [20-11-2008 22:23:15] (Standaard speler-motor) - GStreamer 0.10
Debug: [20-11-2008 22:23:15] (Audio-cd kern geïnitialiseerd) - 
Debug: [20-11-2008 22:23:15] (Testing device for DAP support) - /org/freedesktop/Hal/devices/volume_uuid_961a16be_fc17_4922_b2d6_0022848b4f51
Debug: [20-11-2008 22:23:15] (DAP has not been added) - /org/freedesktop/Hal/devices/volume_uuid_961a16be_fc17_4922_b2d6_0022848b4f51
Debug: [20-11-2008 22:23:15] (Testing device for DAP support) - /org/freedesktop/Hal/devices/volume_uuid_c67cd49a_cef1_46b5_bd7b_96f841c8a1af
Debug: [20-11-2008 22:23:15] (DAP has not been added) - /org/freedesktop/Hal/devices/volume_uuid_c67cd49a_cef1_46b5_bd7b_96f841c8a1af
Warning: [20-11-2008 22:23:15] (Power Management Call Failed) - Cannot find GNOME Power Manager: Name org.gnome.PowerManager has no owner
Debug: [20-11-2008 22:23:15] (Enabled multimedia keys support) - Using org.gnome.SettingsDaemon
Building initial DAAP database from local library...
Starting DAAP Server

and then the following message is repeated until you kill banshee.

(Banshee:3703): Gtk-WARNING **: A floating object was finalized. This means that someone
called g_object_unref() on an object that had only a floating
reference; the initial floating reference is not owned by anyone
and must be removed with g_object_ref_sink().


Expected Results:  
Banshee up and running to allow me to play music
Comment 1 Bug Zapper 2008-11-26 06:19:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Michel Alexandre Salim 2009-01-01 18:30:58 EST
Unfortunately I don't have a Fedora 8 machine to test, and this dates back to before I started maintaining the package. Fedora 9 and 10 have much-improved Mono stacks (including Banshee); please update if possible.

Note You need to log in before you can comment on or make changes to this bug.